// Copyright 2019 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// This file defines the structure of the table-of-contents elements
// produced by sapi_cc_embed_data rules.
// Its canonical definition is here, but a copy of it appears in each file
// generated by //sandboxed_api/bazel:filewrapper.

#ifndef SANDBOXED_API_FILE_TOC_H_
#define SANDBOXED_API_FILE_TOC_H_

#include <sys/types.h>

#include <cstddef>

struct FileToc {
  const char* name;
  const char* data;
  size_t size;
  unsigned char md5digest[16];  // Not used, kept for compatibility
};

#endif  // SANDBOXED_API_FILE_TOC_H_
